@echo off
if %1x==x goto error
if %1==c: goto ok
if %1==C: goto ok
if %1==d: goto ok
if %1==D: goto ok
if %1==e: goto ok
if %1==E: goto ok
goto error

:ok
md %1\anvil
xcopy *.* %1\anvil
md %1\anvil\data
md %1\anvil\demo
xcopy data %1\anvil\data
xcopy demo %1\anvil\demo
%1
cd \anvil
del install.bat
del anvil2.txt
goto end

:error

echo 
echo   Usage: INSTALL drive:
echo Example: INSTALL c:
echo 


:end
